MonoMac 0.0.0.0 System.Enum System.Flags Flags that determine how NSData loads files.

By default NSData will loads the contents of the file in memory by allocating a block of memory and then reading the contents of the file into it.

The Mapped and MappedAlways parameter instruct NSData to use the kernel's interface to map the file into the process address space. This has a few advantages: instead of allocating read/write memory for the process, that becomes real memory usage, the mapped versions map the file into memory which means that the data is loaded on demand instead of being loaded upfront. This also allows the kernel to discard the data loaded from memory when the system is running low on memory.

- Field
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  MonoMac.Foundation.NSDataReadingOptions To be added.
- Field
  0.0.0.0
  MonoMac.Foundation.NSDataReadingOptions Use the kernel's virtual memory map to load the file, if possible. If sucessful, this replaces read/write memory that can be very expensive with discardable memory that is backed by a file.
- Field
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  MonoMac.Foundation.NSDataReadingOptions Force NSData to try to use the kernel's mapping support to load the file. If sucessful, this replaces read/write memory that can be very expensive with discardable memory that is backed by a file.
- Field
  0.0.0.0
  MonoMac.Foundation.NSDataReadingOptions Notify the kernel that it should not try to cache the contents of this file in its buffer cache.